<?php
// this is a base class for generating rsa keys
// it includes the main class level variables, and a function to return those variables as an array
require_once('SemisecureLoginReimagined_AdvancedOptions.php');
if (!class_exists('SemisecureLoginReimagined_RsaKeys_Base')) {
	class SemisecureLoginReimagined_RsaKeys_Base extends SemisecureLoginReimagined_AdvancedOptions {

		// private_key is needed on the back-end to decrypt
		// modulus and public_exponent are needed on the client-side to encrypt
		var $private_key;      // PEM format
		var $modulus;          // hex format
		var $public_exponent;  // 10001 or 3
		var $num_bits;         // int
		var $public_key;       // PEM format

		//returns our class-level variables in an array
		function getKeysArray() {
			$newArray = array(
				"numbits" => $this->num_bits,
				"publicexponent" => $this->public_exponent,
				"modulus" => strtoupper($this->modulus),
				"privatekey" => $this->private_key,
				"publickey" => $this->public_key
			);
			return $newArray;
		}

	}
}
?>